# nls/C/InstData.nls

package InstData_nls;

&main::Require("Exporter.pm");
@ISA = (Exporter);
@EXPORT = qw( %txt %smztxt %nlsdata $hdr_line1_len );


%txt = (	
	'Error_in_toc'		=> "Error in Table of Contents",
	'.'					=> ".",
	'...'				=> "...",
	'Cant_open_for'		=> "Can't open for",
	'writing'			=> "writing",
	'file'				=> "file",
	':'					=> ":",
	'Error'				=> "Error",
	'while'				=> "while",
	'creating'			=> "creating",
   	'Unable_hostfile'   => "Unable to open hostlist file ",
    'no_hosts'          => "The hostlist file contains no hostnames.",
	'list_hosts'		=> 
"The following hostnames are specified in the hostlist:",

	'cfgfile_readerr'	=> "Unexpected error reading defaults config file.",

	'pseudopfm_error'	=> 
"Unable to determine destination-appropriate platform.",

	'Validating'		=> "Validating configuration for host",

	'Unable_remote_on'	=>
"Unable to remotely execute commands on destination host",

	'Ensure_root_equiv'	=>
"Ensure that the destination host is up, and grants root login equivalency\n" .
"to the local host running install (host",

	')'					=> ")",
	'('					=> "(",
	'"'					=> "\"",
	'ERROR:'			=> "ERROR:",
	'WARNING:'			=> "WARNING:",
	'Ok.'				=> "Ok.",
	'Otherwise_Ok.'		=> "Otherwise Ok.",
	'hdr_char1'         => "*",
	'cfg_val'           => "configuration validation",
	'sep_str1'          => " - ",
	'End_val'           => "End validation",
	'press_continue'    => "Press Return to continue...",
	'Begining'          => "Beginning",
	'This_log_saved'	=> "Validation information has been saved to",
	'Cant_write_log'	=> "Can't write log to file",

	'do_proceed'		=> 
"Do you wish to continue with the above configuration ? :",

	'already_validated'	=> 
"Validation has already been performed with the current configuration settings.",

	'validate_ok'		=>
"Configuration validation completed without errors or warnings.",

	'validate_errs_and_warns'	=>
"Configuration validation completed *with* errors and warnings.",

	'validate_errs'		=>
"Configuration validation completed *with* errors.",

	'validate_warns'	=>
"Configuration validation completed *with* warnings.",

    'bool_help'             =>
"(Use the spacebar to toggle the response, \nthen press the Return key)",

	'singlehost_err_p1'	=>
"The single destination hostname specified",

	'singlehost_err_p2'	=>
"must be non-null and contain no embedded whitespace.",

	'pls_dstcfg_correct'	=>
"Please return to the Destination Configuration menu and correct.",

	'pls_list_dstcfg_correct'	=>
"Please return to the Destination Configuration menu,\n" .
"or edit the hostlist, to correct.",

	'hostlist_err1'			=>
"The destination hostlist must contain one hostname per line.\n" .
"The following lines are in error:",

	'(line'					=>	"(line",

	'in_list)'				=> "in list)",

	'list_errors'			=>
"The destination hostlist contains errors:",

    'chk_hosts'         =>
"Checking the specified destination hostname(s)\n" .
"(This could take a while...)",
 
    'Done.'             => "Done.",

	'Error:'			=> "Error:",

	'unable_gen_valscript' =>
"Unknown error creating validation script file",

	'on_remote_host'	=>
"on remote host",

	'hostlist_fname_err'	=>
"The destination hostlist filename must be specified, without embedded spaces.",

	'usr_destpath_err'	=>
"The destination pathname must be specified,\n" .
"without embedded spaces.", 

	'usr_destpath_not_abs'	=>
"The destination pathname must be absolute (beginning with '/').",

	'usr_userid_err'	=>
"The installation owner user ID must be specified,\n" .
"without embedded spaces.",

	'usr_groupid_err'	=>
"The installation owner group ID must be specified,\n" .
"without embedded spaces.",

	'no_opts_slctd'		=>
"At least one product option must be selected for installation.",

	'no_plats_slctd'	=>
"For Network Fileserver installation, support for at least\n" .
"one platform must be selected.",

	'destval_existdest_unable_cd'	=>
"ERROR:\n" .
"The specified destination path exists, but cannot change directory to it.",

	'destval_unable_cd_to_comp'		=>
"ERROR:\n" .
"Would not be able to create the specified destination directory\n" .
"because there is insufficient permission to cd to \$TESTDIR.",

	'destval_comp_is_link'			=>
"ERROR:\n" .
"Would not be able to create the specified destination directory\n" .
"because \$NEXTCOMP is a symbolic link,\n" .
"and appears to be invalid.",

	'destval_comp_is_file'			=>
"ERROR:\n" .
"Would not be able to create the specified destination directory\n" .
"because \$NEXTCOMP is a file.",

	'destval_unable_mkdir'		=>
"ERROR:\n" .
"Would not be able to create the specified destination directory.",

	'destval_unable_write'		=>
"ERROR:\n" .
"Would not be able to write in the specified destination directory.",

	'destval_unable_user'		=>
"ERROR:\n" .
"Would not be able to change installation ownership to user \$USER.",

	'destval_unable_group'		=>
"ERROR:\n" .
"Would not be able to change installation ownership to group \$GROUP.",

	'destval_unable_df'			=>
"ERROR:\n" .
"Unable to determine available disk space.\n" .
"The output of the df command follows:",

	'no_space_1'				=>
"There is not enough disk space available.\n" .
"The installation as configured requires",

	'no_space_2'				=> "while only",

	'no_space_3'				=> "are available.",

	'k_bytes_new_space'			=> "k bytes of new space,",

	'k_bytes'					=> "k bytes",

	'unable_resolve_local'		=>
"Unable to resolve the local hostname",

);

$hdr_line1_len = 70;

%smztxt = (
    'hdr'       =>	"Configuration Summary...\n\n",
	'hostlist'	=>	"Install to the host(s)\nspecified in the file:",
	'host'		=>	"Install to single host:",
	'host2'		=>	"Install to host:",
    'hosts'     =>  "Installing to hosts:",
    'dest'      =>  "Destination path:",
	'insttype'	=>	"Installation type:",
    'runable'   =>  "Run on Destination",
    'fileserver'=>  "Network Fileserver",
    'platspec'  =>  "Platforms specified:",
    'prodopts'  =>  "Product options selected:",
    'user'      =>  "Installation owner user Id:",
    'group'     =>  "Installation owner group Id:",
);


%nlsdata = (
	'summarize_data_col'	=> 35,
	'nidestvalscript'		=> "/tmp/nidestvalscript",
);

1;
